Semaphor

Get a visual

Returns the full visual record including the frame configuration, sharing entries (access control list), permission flags, and owner details.

GET
/api/management/v1/visuals/{visualId}

Authorization

BearerAuth
AuthorizationBearer <token>

A project-scoped or dashboard-scoped access token. Generate one via the Token API using your project ID and project secret.

In: header

Path Parameters

visualId*string

Visual identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X get "https://semaphor.cloud/api/management/v1/visuals/string"
{
  "id": "string",
  "title": "string",
  "description": "string",
  "projectId": "string",
  "tenantId": "string",
  "frameObject": {},
  "permissions": {
    "canEdit": true,
    "canShare": true,
    "canDelete": true
  },
  "ownership": {},
  "project": {},
  "tenant": {},
  "AccessControlEntry": [
    {}
  ]
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}